#
# Conditional build:
%bcond_without	tests		# do not perform "make test"

%define		pdir	Devel
%define		pnam	StackTrace-AsHTML
%include	/usr/lib/rpm/macros.perl
Summary:	Devel::StackTrace::AsHTML - Displays stack trace in HTML
Name:		perl-Devel-StackTrace-AsHTML
Version:	0.15
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Devel/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	4ec8bd92e4a765a7cabf402db9640412
URL:		http://search.cpan.org/dist/Devel-StackTrace-AsHTML/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Devel-StackTrace
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Devel::StackTrace::AsHTML adds as_html method to Devel::StackTrace
which displays the stack trace in beautiful HTML, with code snippet
context and function parameters. If you call it on an instance of
Devel::StackTrace::WithLexicals, you even get to see the lexical
variables of each stack frame.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a eg $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Devel/StackTrace/*.pm
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}
%changelog
* Thu Nov 14 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Devel-StackTrace-AsHTML.git;a=log;h=master

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> d3395e6
- up to 0.15

* Tue Nov 25 2014 Elan Ruusamäe <glen@delfi.ee> 80df298
- use generic url

* Wed May 11 2011 aredridel <aredridel@pld-linux.org> 218bfd4
- added

